@import "src/components/Theme";

.field {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-bottom: 12px;

  label {
    @include bodyMediumType($mediumGray);
    margin-bottom: 4px;
  }
}

.fieldError {
  label {
    color: $red;
  }
}

.errorMessage {
  margin-top: 4px;
  @include bodyMediumType($red);
  display: flex;
  align-items: center;

  .errorIcon {
    width: 16px;
    height: 16px;
    margin-right: 8px;
  }
}

.compound {
  display: flex;
  align-items: flex-start;

  > * {
    margin-right: 12px;

    &:last-of-type {
      margin-right: 0;
    }
  }
}


.formSection {
  margin-bottom: 40px;
  display: flex;

  header {
    @include bodyMediumType($mainDark);
    padding-top: 16px;
    width: 216px;
  }

  .form {
    background: $background;
    border-radius: 2px;
    padding: 16px 20px;

    width: 675px;
  }

  .formSurface {
    background: $mainWhite;
    border-radius: 2px;
    width: 715px;
  }

  .fieldsSeparator {
    margin-top: 8px;
    margin-left: -20px;
    margin-right: -20px;
    margin-bottom: 20px;
    border-bottom: 1px solid $lightGray;

  }
}

.formDivision {
  border-bottom: 1px solid $lightGray;

  &:last-of-type {
    border-bottom: none;
  }
}